Subject: Re: [PATCH] perf vendor events: Fix eventcode of power10 json events

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 28 May 2021 09:21:27 -0300

Em Fri, May 28, 2021 at 01:26:50PM +0530, kajoljain escreveu:
> 
> 
> On 5/26/21 11:42 AM, Nageswara Sastry wrote:
> > 
> > 
> >> On 25-May-2021, at 8:57 PM, Paul A. Clarke <[email-masked]> wrote:
> >>>
> >> I lost the original message, but Nageswara Sastry said:
> >>> 1. Extracted all the 244 events from the patch.
> >>> 2. Check them in 'perf list' - all 244 events found
> >>> 3. Ran all the events with 'perf stat -e "event name" sleep 1', all ran fine.
> >>>    No errors were seen in 'dmesg'
> >>
> >> I count 255 events.
> >>
> >> PC
> > 
> > Seems while extracting I filtered out newly added ones, so I got 244(255-11). 
> > Now checked with all 255 events. Thanks for pointing out.
> > 
> > Thanks!!
> > R.Nageswara Sastry
> > 
> 
> Hi Paul/Nageswara,
>    Yes we currently have 255 power10 json events which is updated in this patch. 
> Thanks for reviewing the patch.
> 
> Arnaldo can you pull this patch if changes looks fine to you.

Applied to test/urgent, thanks everybody for the tests and reviews, all
tags collected.

- Arnaldo